## Admin
- One of the most powerful parts of Django is its automated management interface. It reads metadata from the model and provides a fast, model-centric interface for trusted users to manage the content of their website.

## CSS
- Cascading style sheet (CSS) files used for this project and external dependencies are in this folder.

## Scripts
- Contains JavaScript (JS) files used for Sedar Project
  * **base.js -** Base JS of the project to initialize the java scripts and Toast libraries
  * **companyDetail.js-** Company Details JS populates the details of the specific company.
    * Company Details
      * "Company Name"
      * "Issuer No."
      * "Form Dates"
      * "CUSIP"
      * "Exchanges"
      * "Form Type"
      * "Form Dates"
      * "Year End Date"
      * "Industry"
      * "Report"
      * "OTC Issuer Detail"
      * "Size of Issuer"
      * "Stock Symbol" "Type"
      * "Contact Name"
      * "Phone Area Code"
      * "Phone Number"
      * "Extension"
      * "Fax Area Code"
      * "Fax Number"
    * Contact Information Details
      * "Contact Name"
      * "Phone Area Code"
      * "Phone Number"
      * "Extension"
      * "Fax Area Code"
      * "Fax Number"
    * Record Details
      * "Last Update"
      * "Short Form Prospectus Issuer"
      * "Created On"
      * "Record Date"
    * Other Details
      * "Partner"
      * "Auditor"
      * "Transfer Agent"
      * "Registration Application"
      * "Application for Exemption"
      * "National Policy Elections"
      * "Offerings"
      * "Security Type"
      * "Proceeds"
      * "Underwriter"
      * "Underwriter Counsel"
      * "Underwriter Contact"
      * "Promoter"
      * "Prefiling"
      * "Local Policy Statement"
  * **companyLocation.js**- Company Location JS populates the details about Company Location. This includes mailing address and business address. [Leaflet ](https://leafletjs.com/ "Leaflet JS Library")JS library and[ OpenStreetMap](https://www.openstreetmap.org/#map=3/71.34/-96.82 "Open Street Maps") JS Library is used to navigate to the Mailing and Business Address. And internal API call is made to fetch
    * Business/Mailing Address Details
      * "City"
      * "Postal Code"
      * "Country"
      * "Phone Extension Number"
      * "Fax Area Code"
      * "Fax Number"
      * "Phone Area Code"
      * "Phone Number"
      * "Province"
      * "Street 1"
      * "Street 2"
  * **dropdown.js** - Dropdown JS handles and displays the values for the company and date selection. [Select2](https://select2.org/ "Select 2 library") JS is used to search a paginated request form the Rest API to display the company names.
  * **editableTable.js** - Editable JS handles the business logic to edit and save changes made to the extracted table. A user can edit, cancel the changes or revert the table back to the original table. This class handles the relevant functionality for displaying and editing the extracted tables.
  * **home.js** - This class is responsible for handling the clicks for navigation tabs and dropdown menu.
  * **homeAPICall.js** - This class manages application's Rest API request and response, made by the user.
  * **table2csv.js** - Coverts the [extracted table](https://www.npmjs.com/package/table2csv) to .csv file and downloads it for the user.
  * **toastme.js** - [Toast Me Library ](https://github.com/AlexSegen/toastmejs)is used to display Notifications and modal Dialogs on the Dashboard.
  * **language.js** - Language.js is used to switch the language to EN or FR as per user's selection
  * **pace.min.js** - [Pace library](https://codebyzach.github.io/pace/) adds progress bar to the application. The package includes pace.js and a CSS theme to get a progress indicator for page load and ajax navigation.
  * **pdfobject.js** - An open-source standards-friendly JavaScript utility for embedding [PDF files](https://pdfobject.com/) into HTML documents.
  * **sb-admin-2.js** - [SB Admin 2](https://startbootstrap.com/theme/sb-admin-2) is a free, open source, Bootstrap 4 based admin theme for quickly creating dashboards and web applications.  

## Rest Framework
- [Django REST framework](https://www.django-rest-framework.org/) is a powerful and flexible toolkit for building Web APIs. This folder is generated by Django when the REST framework is used to build a model-backed API.

## Vendor
- This folder contains JS libraries (Bootstrap, Awesome-Markers, jQuery, popper) which are extensively used to support the web-application.

